/* -------------------------------------------------------------------------- */
/*                                  Libraries                                 */
/* -------------------------------------------------------------------------- */
import gql from "graphql-tag";
import { GraphQLQueryInterface } from "./gqlQuery";
/* -------------------------------------------------------------------------- */
/*                                   GraphQL                                  */
/* -------------------------------------------------------------------------- */
const updateGraphQLQuery = gql`
  mutation UpdateProfile($data: UserProfileInputObject!) {
    updateProfile(data: $data) {
      __typename
    }
  }
`;

export interface QueryInterface
  extends GraphQLQueryInterface<{
    data: {
      account_id?: String;
      username?: String;
      email?: String;
      locale?: String;
      image_url?: String;
      first_name?: String;
      last_name?: String;
      bio?: String;
    }
  }> {}

export default updateGraphQLQuery;
